function calculosRect() {
  let alto = solicitaNumero(`Introduzca el alto del rectangulo`);
  let ancho = solicitaNumero(`Introduzca el ancho del rectangulo`);
  let area = areaRect(alto, ancho).toFixed(2);
  let perimetro = perimetroRect(alto, ancho).toFixed(2);
  let resultado=  `El area del rectangulo es: ${area} \n y su perimetro es: ${perimetro}`
  muestraResultado(resultado);
}
function calculosCirculo() {
  let radio = solicitaNumero(`Introduzca el radio del circulo`);
  let area = areaCirculo(radio).toFixed(2);
  let resultado= `El area del circulo es: ${area}`;
  muestraResultado(resultado);
}
function calculosCilindro() {
  let altura = solicitaNumero(`Introduzca la altura del cilindro`);
  let radio = solicitaNumero(`Introduzca el radio del cilindro`);
  let area = areaCilindro(radio, altura).toFixed(2);
  let volumen = volumenCilindro(radio, altura).toFixed(2);
  let resultado = `El area del cilindro es: ${area} \n su volumen es: ${volumen}`;
  muestraResultado(resultado);
}
function calculosTriangulo() {
  let base = solicitaNumero(`Introduzca la base del triangulo`);
  let altura = solicitaNumero(`Introduzca la altura del triangulo`);
  let area = areaTriangulo(base, altura).toFixed(2);
  let resultado = `El area del triangulo es: ${area}`;
  muestraResultado(resultado);
}

/* Funciones Area y Perimetro de un rectangulo */
function areaRect(alto, ancho) {
  let area = alto * ancho;
  return area;
}
function perimetroRect(alto, ancho) {
  let perimetro = 2 * (alto + ancho);
  return perimetro;
}

/* Funcion Area del triangulo */
function areaTriangulo(base, altura) {
  let area = (base * altura) / 2;
  return area;
}

/* Funcion Area del circulo */
function areaCirculo(radio) {
  let area = 2 * Math.PI * radio;
  return area;
}

/* Funcion area, volumen del cilindro */
function areaCilindro(radio, altura) {
  let area = 2 * Math.PI * Math.pow(radio, 2) + 2 * Math.PI * radio * altura;
  return area;
}
function volumenCilindro(radio, altura) {
  let volumen = Math.PI * Math.pow(radio, 2) * altura;
  return volumen;
}


/* Generica para recoger un numero y validarlo*/
function solicitaNumero(txtPregunta) {
  let numero;
  do {
    numero = parseFloat(prompt(txtPregunta));
    if (isNaN(numero) || numero <= 0) {
      alert("El numero introducido es incorrecto");
    }
  } while (isNaN(numero) || numero <= 0);
  return numero;
}

function muestraResultado(texto){
  let documento= document
  document.write(texto)
}